Index: fedd/confirm_sshkey.py
===================================================================
--- fedd/confirm_sshkey.py	(revision 2dd442f8940ab9bcd71bb3a55d5df900b1b64828)
+++ fedd/confirm_sshkey.py	(revision 2dd442f8940ab9bcd71bb3a55d5df900b1b64828)
@@ -0,0 +1,72 @@
+#!/usr/local/bin/python
+
+import os, sys
+import MySQLdb
+from optparse import OptionParser
+
+
+class opt_parser(OptionParser):
+    def __init__(self):
+	OptionParser.__init__(self, usage="%prog [opts] (--help for details)",
+		version="0.1")
+	self.add_option('-u', '--user', dest='user', action='store',
+		default=None, help="User to confirm key of")
+	self.add_option('-f', '--keyfile', dest='keyfile', action='store',
+		default=None, help="file containing pubkey to confirm")
+	self.add_option('-k', '--key', dest='key',
+		default=None, action='store',
+		help='Key on the command line')
+	self.add_option('-q', '--quiet', dest='verbose', action='store_false', 
+		default=True, help="No output")
+	self.add_option('-C', dest=dummy, 
+		help="Compatibility option, no function")
+
+
+def read_keyfile(file):
+    """
+    Return the contents of file as a single line
+    """
+
+    f = open(file, "r")
+    key = ""
+    for line in f:
+	line = line.strip()
+	key += line
+    f.close()
+    return key
+
+
+query_template = """
+SELECT
+    uid 
+FROM user_pubkeys
+WHERE uid = '%s' AND pubkey='%s'
+"""
+parser = opt_parser()
+opts, args = parser.parse_args()
+if len(args):
+    parser.error("Unlabeled option.  Did you forget to quote a key?")
+
+if opts.user: user = opts.user
+else: parser.error("--user is required")
+
+if opts.keyfile: 
+    try:
+	key = read_keyfile(opts.keyfile)
+    except IOError, e:
+	sys.exit('Cannot read keyfile %s: %s' % (opts.keyfile, e))
+elif opts.key: key = opts.key.strip()
+else: parser.error("--keyfile or --key is required")
+
+query = query_template % (user, key)
+
+db = MySQLdb.connect(db='tbdb')
+c = db.cursor()
+c.execute(query)
+
+if len(c.fetchall()) == 1:
+    if opts.verbose: print "Confirmed"
+    sys.exit(0)
+else:
+    if opts.verbose: print "No such key for %s" % user
+    sys.exit(1)
Index: fedd/fedd/confirm_sshkey.py
===================================================================
--- fedd/fedd/confirm_sshkey.py	(revision 2729e486b668c3a4057d92699a4206e34460afc5)
+++ 	(revision )
@@ -1,72 +1,0 @@
-#!/usr/local/bin/python
-
-import os, sys
-import MySQLdb
-from optparse import OptionParser
-
-
-class opt_parser(OptionParser):
-    def __init__(self):
-	OptionParser.__init__(self, usage="%prog [opts] (--help for details)",
-		version="0.1")
-	self.add_option('-u', '--user', dest='user', action='store',
-		default=None, help="User to confirm key of")
-	self.add_option('-f', '--keyfile', dest='keyfile', action='store',
-		default=None, help="file containing pubkey to confirm")
-	self.add_option('-k', '--key', dest='key',
-		default=None, action='store',
-		help='Key on the command line')
-	self.add_option('-q', '--quiet', dest='verbose', action='store_false', 
-		default=True, help="No output")
-	self.add_option('-C', dest=dummy, 
-		help="Compatibility option, no function")
-
-
-def read_keyfile(file):
-    """
-    Return the contents of file as a single line
-    """
-
-    f = open(file, "r")
-    key = ""
-    for line in f:
-	line = line.strip()
-	key += line
-    f.close()
-    return key
-
-
-query_template = """
-SELECT
-    uid 
-FROM user_pubkeys
-WHERE uid = '%s' AND pubkey='%s'
-"""
-parser = opt_parser()
-opts, args = parser.parse_args()
-if len(args):
-    parser.error("Unlabeled option.  Did you forget to quote a key?")
-
-if opts.user: user = opts.user
-else: parser.error("--user is required")
-
-if opts.keyfile: 
-    try:
-	key = read_keyfile(opts.keyfile)
-    except IOError, e:
-	sys.exit('Cannot read keyfile %s: %s' % (opts.keyfile, e))
-elif opts.key: key = opts.key.strip()
-else: parser.error("--keyfile or --key is required")
-
-query = query_template % (user, key)
-
-db = MySQLdb.connect(db='tbdb')
-c = db.cursor()
-c.execute(query)
-
-if len(c.fetchall()) == 1:
-    if opts.verbose: print "Confirmed"
-    sys.exit(0)
-else:
-    if opts.verbose: print "No such key for %s" % user
-    sys.exit(1)
